update dt468 period set 
  (period.DI002454, -- sum avail. cap
   period.DI002545, -- sum factor 1
   period.DI002546, -- sum factor 2
   period.DI002640, -- sum base load
   period.DI002641, -- sum factor 4
   period.DI002642) = -- sum factor 5
  (select nvl(sum(period.DI001337), 0) + period.DI002454, -- sum avail. cap
          nvl(sum(period.DI002373), 0) + period.DI002545, -- sum factor 1
          nvl(sum(period.DI002374), 0) + period.DI002546, -- sum factor 2
          nvl(sum(period.DI002375), 0) + period.DI002640, -- sum base load
          nvl(sum(period.DI002371), 0) + period.DI002641, -- sum factor 4
          nvl(sum(period.DI002372), 0) + period.DI002642  -- sum factor 5
    from dt468 period_self
    where 
      period_self.DI001326 = period.DI001326
      and period_self.DI001327 = period.DI001327
    group by period_self.DI001327)
where
  period.di001364 = 1
  and period.DI001327 BETWEEN to_date('{start_period}', 'DD.MM.YYYY') AND to_date('{end_period}', 'DD.MM.YYYY')
  and period.DI001326 = '{parent_res_id}'